﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace ComboBoxEvents
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
        }

        private void RadComboBox_LostFocus(object sender, RoutedEventArgs e)
        {
            var combobox = sender as RadComboBox;
            if (!combobox.IsKeyboardFocusWithin)
            {
                log.Text += "LostFocus" + "\n";
            }
        }

        private void RadComboBox_GotFocus(object sender, RoutedEventArgs e)
        {
            log.Text += "GotFocus" + "\n";
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            log.Clear();
        }
    }
}
